### Constructor

# Gtk AppChooserDialognew

deprecated: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_dialog_new (
      GtkWindow* parent,
      GtkDialogFlags flags,
      GFile* file
    )

#### Description [src]

Creates a new `GtkAppChooserDialog` for the provided `GFile`.

The dialog will show applications that can open the file.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`parent`

  Type: `GtkWindow`

  A `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`flags`

  Type: `GtkDialogFlags`

  Flags for this dialog.

`file`

  Type: `GFile`

  A `GFile`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A newly created `GtkAppChooserDialog`

The data is owned by the called function.